Subject: Re: Question about grammmer for RFCs

From: Bob Braden <[email-masked]>
Date: Tue, 13 Jul 2004 10:56:10 -0700 (PDT)

*> Only the RFC Editor can tell us what the RFC Editor uses as a style
  *> manual.  However, for whatever my own opinion is worth: it's hard to
  *> go very far wrong following Strunk & White.
  *> 

The RFC Editor staff generally follows two sources for style advice:
Strunk & White (4th Edition, 2000) and "A Pocket Style Manual"
by Diana Hacker (also 4th Edition, 2004).

However, the RFC Editor would vastly prefer that authors concentrate on
writing clear, unambiguous technical prose rather than on the nitty
details of punctuation mechanics.  We can handle the latter very
efficiently, but rewriting muddy, complex, obtuse prose is really hard.

PS: Good technical writing is HARD!!  It is also very different from
the style that "creative writing" courses teach.

Bob Braden for the RFC Editor.